.PHONY: check clean

SPLINT = splint
 
check: syslib.lcd
	$(SPLINT) -nolib -load syslib -systemdirs $(CURDIR)/include main.c -expect 2


syslib.lcd: syslib.h
	$(SPLINT) +quiet -nof -nolib $^ -dump $@

clean:
	-@$(RM) -f syslib.lcd

